<?php

class widgetContentFilters extends cmsWidget
{

	public $is_cacheable = false;

	public function run()
	{
		$ctype_id        = $this->getOption('ctype_id');
		$is_filter_title = $this->getOption('is_filter_title');
		$limit           = $this->getOption('limit', 10);

		$model = cmsCore::getModel('content');

		if ($ctype_id == 0) {

			$ctype = cmsModel::getCachedResult('current_ctype');

			if (!$ctype) {
				return false;
			}

			$current_ctype_id = $ctype['id'];
			$filters          = $model->getContentFilters($current_ctype_id);

		} else {

			$ctype   = $model->getContentType($ctype_id);
			$filters = $model->getContentFilters($ctype['name']);

		}

		if (isset($filters)) {
			$filters = $model->limit($limit)->getContentFilters($ctype['name']);
		}

		if (!$filters) {
			return false;
		}

		return array(
			'ctype_id'        => $ctype_id,
			'ctype_name'      => $ctype['name'],
			'filters'         => $filters,
			'is_filter_title' => $is_filter_title
		);

	}

}
